GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData Class Reference

## Public Member Functions
Boolean | isKurierAlternateDelivery ()
void | setKurierAlternateDelivery (Boolean value)
String | getKurier1D ()
void | setKurier1D (String value)
String | getKurierTourNumber ()
void | setKurierTourNumber (String value)
String | getKurierImportStation ()
void | setKurierImportStation (String value)
String | getKurierLatestDeliveryTime ()
void | setKurierLatestDeliveryTime (String value)

## Protected Attributes
Boolean | kurierAlternateDelivery
String | kurier1D
String | kurierTourNumber
String | kurierImportStation
String | kurierLatestDeliveryTime

## Detailed Description

Specific data for domestic german express parcel

Java class for ExpressData complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ExpressData">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="KurierAlternateDelivery" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
            <element name="Kurier1D" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="KurierTourNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="KurierImportStation" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="KurierLatestDeliveryTime" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## Member Function Documentation

## ◆ getKurier1D()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.getKurier1D | ( |  | ) |

Gets the value of the kurier1D property.

Returns
  possible object is String

Definition at line 89 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ getKurierImportStation()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.getKurierImportStation | ( |  | ) |

Gets the value of the kurierImportStation property.

Returns
  possible object is String

Definition at line 137 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ getKurierLatestDeliveryTime()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.getKurierLatestDeliveryTime | ( |  | ) |

Gets the value of the kurierLatestDeliveryTime property.

Returns
  possible object is String

Definition at line 161 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ getKurierTourNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.getKurierTourNumber | ( |  | ) |

Gets the value of the kurierTourNumber property.

Returns
  possible object is String

Definition at line 113 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ isKurierAlternateDelivery()

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.isKurierAlternateDelivery | ( |  | ) |

Gets the value of the kurierAlternateDelivery property.

Returns
  possible object is Boolean

Definition at line 65 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ setKurier1D()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.setKurier1D | ( | String | value | ) |

Sets the value of the kurier1D property.

Parameters

  value | allowed object is String

Definition at line 101 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ setKurierAlternateDelivery()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.setKurierAlternateDelivery | ( | Boolean | value | ) |

Sets the value of the kurierAlternateDelivery property.

Parameters

  value | allowed object is Boolean

Definition at line 77 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ setKurierImportStation()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.setKurierImportStation | ( | String | value | ) |

Sets the value of the kurierImportStation property.

Parameters

  value | allowed object is String

Definition at line 149 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ setKurierLatestDeliveryTime()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.setKurierLatestDeliveryTime | ( | String | value | ) |

Sets the value of the kurierLatestDeliveryTime property.

Parameters

  value | allowed object is String

Definition at line 173 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ setKurierTourNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.setKurierTourNumber | ( | String | value | ) |

Sets the value of the kurierTourNumber property.

Parameters

  value | allowed object is String

Definition at line 125 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## Member Data Documentation

## ◆ kurier1D

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.kurier1D
| protected

Definition at line 49 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ kurierAlternateDelivery

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.kurierAlternateDelivery
| protected

Definition at line 47 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ kurierImportStation

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.kurierImportStation
| protected

Definition at line 53 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ kurierLatestDeliveryTime

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.kurierLatestDeliveryTime
| protected

Definition at line 55 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

## ◆ kurierTourNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ExpressData.kurierTourNumber
| protected

Definition at line 51 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ExpressData.java